<?php
/**
 * @file
 * Configuration file for the whisper module.
 */

/**
 * Form builder; Configure settings.
 *
 * @ingroup forms
 * @return
 * Form.
 */
function whisper_config_form($context) {
  // Create a fieldset for the body:
  $form['config'] = array(
    '#type' => 'fieldset',
    '#title' => t('Configure'),
  );

  $form['config']['whisper_seal'] = array(
    '#type' => 'radios',
    '#title' => t('Default seal setting'),
    '#default_value' => variable_get('whisper_seal', 0),
    '#options' => array(t('Not Selected'), t('Selected')),
  );

  $form['config']['whisper_subject'] = array(
    '#type' => 'radios',
    '#title' => t('Seal comment title'),
    '#default_value' => variable_get('whisper_subject', 0),
    '#options' => array(t('No'), t('Yes')),
  );

  $form['config']['whisper_anonymous'] = array(
    '#type' => 'radios',
    '#title' => t('Seal anonymous comments'),
    '#default_value' => variable_get('whisper_anonymous', 1),
    '#options' => array(t('No'), t('Yes')),
  );

  return system_settings_form($form);
}